Mail archive
alpine-aports

[alpine-aports] [PATCH] main/offlineimap: upgrade to 6.5.7

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Thu, 21 May 2015 09:22:48 -0500

---
 main/offlineimap/APKBUILD | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)
diff --git a/main/offlineimap/APKBUILD b/main/offlineimap/APKBUILD
index 3d26cb3..e5bf3e8 100644
--- a/main/offlineimap/APKBUILD
+++ b/main/offlineimap/APKBUILD
_at_@ -1,15 +1,15 @@
 # Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
 # Maintainer: Peter Bui <pnutzh4x0r_at_gmail.com>
 pkgname=offlineimap
-pkgver=6.5.6
-pkgrel=1
+pkgver=6.5.7
+pkgrel=0
 pkgdesc="Synchronizes emails between two repositories"
 url="http://offlineimap.org/"
 arch="noarch"
 license="GPL"
 depends="python"
-depends_dev="python-dev py-docutils"
-makedepends="$depends_dev"
+depends_dev="python-dev"
+makedepends="$depends_dev asciidoc"
 install=""
 subpackages="$pkgname-doc"
 source="$pkgname-$pkgver.tar.gz::https://github.com/OfflineIMAP/${pkgname}/archive/v${pkgver}.tar.gz"
_at_@ -28,17 +28,20 @@ prepare() {
 build() {
 	cd "$_builddir"
 	python setup.py build || return 1
-	rst2man.py docs/MANUAL.rst offlineimap.1
+
+	cd "$_builddir"/docs
+	make man || return 1
 }
 
 package() {
 	cd "$_builddir"
 	python setup.py install --root="${pkgdir}" --optimize=1 || return 1
-	install -Dm644 offlineimap.1 "${pkgdir}"/usr/share/man/man1/offlineimap.1
-	install -Dm644 offlineimap.conf "${pkgdir}"/usr/share/offlineimap/offlineimap.conf
-	install -Dm644 offlineimap.conf.minimal "${pkgdir}"/usr/share/offlineimap/offlineimap.conf.minimal
+	install -Dm644 docs/offlineimap.1 "${pkgdir}"/usr/share/man/man1/offlineimap.1 || return 1
+	install -Dm644 docs/offlineimapui.7 "${pkgdir}"/usr/share/man/man7/offlineimapui.7 || return 1
+	install -Dm644 offlineimap.conf "${pkgdir}"/usr/share/offlineimap/offlineimap.conf || return 1
+	install -Dm644 offlineimap.conf.minimal "${pkgdir}"/usr/share/offlineimap/offlineimap.conf.minimal || return 1
 }
 
-md5sums="b595561eb2050767c376df3b92aa0d74  offlineimap-6.5.6.tar.gz"
-sha256sums="c23219cdbbae7fe12346ece94c427737fd4083720a124fff6f95a26c56f728c3  offlineimap-6.5.6.tar.gz"
-sha512sums="0f460a95816ba3e7266dda48e4193680b0c8d7da0b3f4398d254dab0341badec0a11e1b518494ec1f7aaa93956d9d0a674f7489c5d7300a7968459409243e392  offlineimap-6.5.6.tar.gz"
+md5sums="b6c933bd89d037fca9037d2f6bd18a37  offlineimap-6.5.7.tar.gz"
+sha256sums="b7de52c7d8995e0657bb55da13531c8d6f96d828217159477c685ae408e390a3  offlineimap-6.5.7.tar.gz"
+sha512sums="eb2d7c627b1a5563cb685549eeaaef2cd164e69ab5c541ee64b2d081dfe5493cd51de449e6283447e8132503545f7f37cb6bf7e6764b626f243e502cf77bda4f  offlineimap-6.5.7.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu May 21 2015 - 09:22:48 GMT